package de.fitko.fitconnect.api.domain.model.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.NoArgsConstructor;

import java.util.Map;

@lombok.Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Data {

    @JsonProperty("signature")
    private Signature signature;

    @JsonProperty("hash")
    private Hash hash;

    @JsonProperty("submissionSchema")
    private SubmissionSchema submissionSchema;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}

