package de.fitko.fitconnect.api.domain.model.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.net.URI;
import java.util.Map;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SubmissionSchema {

    @JsonProperty("schemaUri")
    private URI schemaUri;

    @JsonProperty("mimeType")
    private MimeType mimeType;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}
