package de.fitko.fitconnect.core.testutil;

import ch.qos.logback.classic.spi.LoggingEvent;
import ch.qos.logback.core.AppenderBase;

import java.util.ArrayList;
import java.util.List;

public  class LogCaptor extends AppenderBase<LoggingEvent> {

    private static final List<LoggingEvent> events = new ArrayList<>();

    @Override
    protected void append(final LoggingEvent e) {
        events.add(e);
    }

    public boolean assertContains(final String s){
        return events.stream().map(LoggingEvent::getMessage).anyMatch(m -> m.contains(s));
    }
}